@font-face {
    font-family: "title-font";
    src:
        url("audiowide-regular-webfont.woff2") format("woff2"),
        url("audiowide-regular-webfont.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: "main-font";
    src:
        url("ubuntumonob.woff2") format("woff2"),
        url("ubuntumonob.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}

:root {
    --text: #ffffff;
    --primary: #40ffbc;
    --secondary: #eb00ff;
    --background: #05121f;
    --background-accent: #4b3048;
    --background-secondary: #0a0b27;
    --background-gradient: linear-gradient(
        317deg,
        rgba(10, 11, 39, 1) 0%,
        rgba(5, 18, 31, 1) 100%
    );
    --box-shadow: 10px 10px 40px 0px #eb00ff20, -10px -10px 40px 0px #40ffbc20;
    --box-shadow-highlight: 10px 10px 40px 0px #eb00ff40, -10px -10px 40px 0px #40ffbc40;
    --glow: 0px 0px 10px #40ffbc;
    --glow-secondary: 0px 0px 10px #eb00ff;
    --border-radius: 14px;
}

html {
    background: var(--background);
    margin: 0;
    padding: 0;
}

body {
    margin: 0;
    padding: 0;
    background: var(--background);
    color: var(--text);
    font-family: "main-font", sans-serif;
    font-size: 22px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--text);
    text-decoration: none !important;
    font-family: "title-font", sans-serif;
    text-shadow: var(--glow);
    text-align: center;
    display: block;
}

h1 {
    font-size: clamp(2.7rem, 15vw, 4.1rem);
}

h2 {
    font-size: clamp(2.3rem, 13vw, 3.5rem);
}

h3 {
    font-size: clamp(2rem, 11vw, 3rem);
}

h4 {
    font-size: clamp(1.7rem, 9vw, 2.5rem);
}

h5 {
    font-size: clamp(1.4rem, 7vw, 2rem);
}

h6 {
    font-size: clamp(1.1rem, 5vw, 1.5rem);
}

article {
    max-width: 800px;
    margin: 0 auto;
}

p {
    text-align: center;
}

img.intro {
    width: 100%;
    height: auto;
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow);
}

a {
    color: var(--text);
    text-decoration: none !important;
    font-family: "main-font", sans-serif;
    text-shadow: var(--glow-secondary);
    border-bottom: 1px solid var(--secondary);
    transition: color 0.3s, text-shadow 0.3s, border-bottom 0.3s;
}

a:hover {
    color: var(--primary);
    border-bottom: 1px solid var(--primary);
    text-shadow: var(--glow);
}

.panel {
    padding: 0.4rem 1.5rem;
}

.panel-row {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
}

.screenshots {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.screenshot {
    border: none!important;
}

.screenshot img {
    width: 100%;
    height: auto;
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow);
    outline: solid var(--background) 1px;
    transition: box-shadow 0.3s;
}

.screenshot:hover img {
    box-shadow: var(--box-shadow-highlight);
}

.panel iframe {
    width: 100%;
}

@media only screen and (min-width: 760px) {
    .panel {
        padding: 1rem 1rem;
    }
}
